<?php
       
//faq

//team
// ****
function teamShortCode($pageId = null, $isCustomizer = false, $i = null) { 

    ob_start();

    $args = array('post_type' => 'our-team');
    if (!empty($pageId)) {
        $args['page_id'] = absint($pageId);
    }
    $args['posts_per_page'] = -1;
    $colCls = '';
    // if($isCustomizer == true){
    $cols = get_theme_mod('team_area_npp_count1', 15);
    $cols++;
    switch($cols){
        case 1:
        $colCls = 'col-lg-12 col-md-12 col-sm-12';
        break;
        case 2: 
        $colCls = 'col-lg-6 col-md-6 col-sm-6';
        break;
        case 3:
        case 5:
        case 6:
        case 9:
        case 11:
        case 13:
        case 15:
        $colCls = 'col-lg-4 col-md-4 col-sm-6';
        break;
        default: 
        $colCls = 'col-lg-3 col-md-4 col-sm-6';
        break;
    } 

    // } 
 $text = '';
 $query = new WP_Query($args);
 if ($query->have_posts()):
    $postN = 0;

    while ($query->have_posts()) : $query->the_post();
        $team_area_image = wp_get_attachment_image_src(get_post_thumbnail_id(), 'total-team-thumb');
        if ($isCustomizer === true) {
            $team_area_designation = get_theme_mod('team_area_designation' . $i);
            $team_area_facebook = get_theme_mod('team_area_facebook' . $i);
            $team_area_twitter = get_theme_mod('team_area_twitter' . $i);
           // $team_area_linkedin = get_theme_mod('team_area_linkedin' . $i);
            $team_area_instagram = get_theme_mod('team_area_instagram' . $i);
            $team_area_pinterest = get_theme_mod('team_area_pinterest' . $i);
        } else {
            $team_area_facebook = '';
            $team_area_twitter = '';
           // $team_area_linkedin = '';
            $team_area_instagram = '';
            $team_area_pinterest = '';
            $team_area_designation = '';
        }

        $post = get_post();
    //Social media urls
        $teamFacebook = get_post_meta($post->ID, 'teamFacebook', false);
        $team_area_facebook = !empty($teamFacebook[0]) ? $teamFacebook[0] : '';

        $teamTwitter = get_post_meta($post->ID, 'teamTwitter', false);
        $team_area_twitter = !empty($teamTwitter[0]) ? $teamTwitter[0] : '';

        $teamInstagram = get_post_meta($post->ID, 'teamInstagram', false);
        $team_area_instagram = !empty($teamInstagram[0]) ? $teamInstagram[0] : '';

        //$teamlinkedIn = get_post_meta($post->ID, 'teamlinkedIn', false);
        //$team_area_linkedin = !empty($teamlinkedIn[0]) ? $teamlinkedIn[0] : '';

        $teamPinterest = get_post_meta($post->ID, 'teamPinterest', false);
        $team_area_pinterest = !empty($teamPinterest[0]) ? $teamPinterest[0] : '';

    //designation
        $designation = get_post_meta($post->ID, 'designation', false);
        $team_area_designation = !empty($designation[0]) ? $designation[0] : '';

        ?>
        <div class="<?php echo $colCls;?> single-team">
        <!-- <div class=" item "> -->
            <div class="ht-team-member">
                <div class="imgbx">
                    <?php
                        if (has_post_thumbnail()) {
                            $image_url = $team_area_image[0];
                        } else {
                            $image_url = get_template_directory_uri() . '/images/team-thumb.png';
                        }
                    ?>                  
                    <img src="<?php echo esc_url($image_url); ?>" alt="<?php the_title(); ?>" />

                    <?php if ($team_area_facebook || $team_area_twitter || $team_area_instagram || $team_area_pinterest) { ?>
                    <div class="team-social-icon">
                        <?php if ($team_area_facebook) { ?>
                        <a target="_blank" href="<?php echo esc_url($team_area_facebook) ?>">
                            <i class="fa fa-facebook"></i></a>
                        <?php } ?>
                        <?php if ($team_area_twitter) { ?>
                            <a target="_blank" href="<?php echo esc_url($team_area_twitter) ?>" ><i class="fa-brands fa-x-twitter"></i></a>
                        <?php } ?>
                        <?php if ($team_area_instagram) { ?>
                            <a target="_blank" href="<?php echo esc_url($team_area_instagram) ?>" ><i class="fa fa-instagram"></i></a> 
                        <?php } ?>
                           <?php if ($team_area_pinterest) { ?>
                            <a target="_blank" href="<?php echo esc_url($team_area_pinterest) ?>"><i class="fa fa-pinterest"></i></a>
                            <?php } ?>
                         <!--  <//?php if ($team_area_linkedin) { ?>
                            <a target="_blank" href="<//?php echo esc_url($team_area_linkedin) ?>" ><i class="fa fa-linkedin"></i></a> 
                        <//?php } ?> -->
                    </div>
                    <?php } ?>
                 
                     <div class="team-box">
                        <h6 class="inner-area-title" ><?php the_title(); ?></h6> 
                         <?php if($team_area_designation ){ ?>      
                        <div class="team-member-designation"> <?php echo ($team_area_designation); ?> </div>
                        <?php }?>
                        <div class="clearfix"></div>
                    </div>
                </div>
                <div class="clearfix"></div>
            </div> 
        </div>

           <?php
        endwhile;
        $text = ob_get_contents();
        ob_clean();
    endif;
    wp_reset_postdata();
    return $text;
}



/**
 * Use for the show the testimonials at home page and in testimonial page with shortcode
 * @param int $pageId default is null the id of a post
 * @param boolean $isCustomizer default is false if set to true it mean the output is set for the home page
 * @param int $i default null
 * @param boolean $showStaticVals default is false
 * @return string
 * @author luzuk <support@luzuk.com>
 * */
function testimonialShortCode($pageId = null, $isCustomizer = false, $i = null) {

    ob_start();

    $args = array('post_type' => 'our-testimonial');
    if (!empty($pageId)) {
        $args['page_id'] = absint($pageId);
    }
    $colCls = '';
    // if($isCustomizer == true){
    $cols = get_theme_mod('test_npp_count', 5);
    $cols++;
    switch($cols){
        
            }
           $icons = array(1=>'heart', 2=>'star', 3=>'flash', 4=>'bell',5=>'heart', 6=>'star', 7=>'flash', 8=>'bell');     
    // }
    $text = '';
    $query = new WP_Query($args);
    if ($query->have_posts()):
        $postN = 0;

        while ($query->have_posts()) : $query->the_post();
            $luzuk_image = wp_get_attachment_image_src(get_post_thumbnail_id(), 'total-team-thumb');
        $post = get_post();

            if (($postN % 3) == 0 && $isCustomizer == false) {
                ?>
                <!-- <div class="clearfix"></div> -->
            <!-- </div> -->
            <!-- <div class="row"> -->
                <?php
            }
            ++$postN;
            ?>
    <div class="item items innertest-item ">        
        <div class="ts-area-single ">
            <div class="tsarea-inn ">
                <div class="ts-area-thumb">
                    <div class="testiimginn">
                        <img src="<?php echo (!empty($luzuk_image[0])) ? $luzuk_image[0] : get_template_directory_uri() . '/images/team-thumb.png' ?>" class="img-responsive" alt="<?php the_title(); ?>" />
                    </div>
                </div>
                <div class="ts-area-content">
                    <div class="ts-area-c">
                        <p>
                            <!-- <php

                                if(has_excerpt()){
                                  echo get_the_excerpt();
                                 }else{
                                  echo luzuk_excerpt( get_the_content() , 220 );
                                 } 
                            ?> -->
                            <?php
                            if (has_excerpt()) {
                                echo get_the_excerpt();
                            } else {
                                echo get_the_content();
                            }
                            ?>      
                        </p> 
                    </div>
                    <div class=" ts-area-bx">
                        <h3 class="ts-area-title "><?php the_title(); ?></h3>
                        <div class="text-designation">
                            <?php
                                $name2 = get_post_meta($post->ID, 'testimonial_Sub_Title', false);
                                echo (!empty($name2[0])) ? $name2[0] : '';
                            ?> 
                        </div>      
                    </div>        
                    <div class="triangle_right"></div>     
                </div>
                <div class="clearfix"></div>
                <!-- </div> -->
            </div>
    
        </div>
    </div> 

        <?php
    endwhile;
    $text = ob_get_contents();
    ob_clean();
endif;
wp_reset_postdata();
return $text;
}

/*services*/
function serviceShortCode($pageId = null, $isCustomizer = false, $i = null) {

    ob_start();

    $args = array('post_type' => 'our-services');
    if (!empty($pageId)) {
        $args['page_id'] = absint($pageId);
    }
    $args['posts_per_page'] = -1;
    $colCls = '';
    // if($isCustomizer == true){
    $cols = get_theme_mod('service_npp_count',3);  
    $services_page_icon1 = get_theme_mod('services_page_icon1'.$i);
    ++$cols;
    switch ($cols) {
        case 1:
        $colCls = 'col-lg-12 col-md-12 col-sm-12';
        break;
        case 2: 
        $colCls = 'col-lg-6 col-md-6 col-sm-6';
        break;
        case 3:
        case 5:
        case 6:
        case 9:
        case 11:
        case 13:
        case 15:
        $colCls = 'col-lg-4 col-md-4 col-sm-6';
        break;
        default: 
        $colCls = 'col-lg-3 col-md-4 col-sm-6';
        break;
        }
    // }
        $text = '';
        $query = new WP_Query($args);
        if ($query->have_posts()):
            $postN = 0;

        while ($query->have_posts()) : $query->the_post();
            $luzuk_image = wp_get_attachment_image_src(get_post_thumbnail_id(), 'total-service-thumb');
            $post = get_post();
        ?>
        <!-- <div class="</?php echo $colCls; ?> single-service-bx wow zoomIn">  -->
        <div class="item single-service-bx "> 
            <div class="single-service" >
                <div class="service-icon">
                    <a href="<?php the_permalink(); ?>">
                    <?php
                        if (has_post_thumbnail()) {
                            $image_url = $luzuk_image[0];
                        } else {
                            $image_url = get_template_directory_uri() . '/images/services.jpg';
                        }
                    ?>                                                        
                        <img class="img-responsive" src="<?php echo esc_url($image_url); ?>" alt="<?php the_title(); ?>" />
                     </a>
                </div> 
                <div class="sertxbx">
                    <h4 class="post-title inner-area-title "><?php the_title(); ?></h4>
                    <p class="section-area-text">
                        <?php

                            if(has_excerpt()){
                              echo get_the_excerpt();
                             }else{
                              echo luzuk_excerpt( get_the_content() , 80 );
                             } 
                        ?>
                    </p>
                </div>     
            </div> 
        </div>
        <!-- inner-page -->
            
        <!-- inner-page -->
  <!--   <script type="text/javascript">
        var title = 0;
        jQuery("#innerpage-box .service_inbox").each(function(){
          if ($(this).height() > title) { title = $(this).height(); }
        });
        jQuery("#innerpage-box .service_inbox").height(title);


        // on Resize change height

        jQuery(window).resize(function(){
          jQuery("#innerpage-box .service_inbox").height("");
          var title = 0;
          jQuery("#innerpage-box .service_inbox").each(function(){
            if ($(this).height() > title) { title = $(this).height(); }
          });
          jQuery("#innerpage-box .service_inbox").height(title);
        });
    </script> -->

            <?php
        endwhile;
        $text = ob_get_contents();
        ob_clean();
    endif;
    wp_reset_postdata();
    return $text;
}

// **************************
// ======projects =========
// **************************

function projectShortCode($pageId = null, $isCustomizer = false, $i = null) {

    ob_start();
     global $post;
    $args = array('post_type' => 'our-projects');
    if (!empty($pageId)) {
        $args['page_id'] = absint($pageId);
    }
    $args['posts_per_page'] = -1;
    $colCls = '';
    // if($isCustomizer == true){
    $cols = get_theme_mod('project_npp_count',3);  
    $projects_page_icon1 = get_theme_mod('projects_page_icon1'.$i);

    ++$cols;
    switch ($cols) {
        case 1:
        $colCls = 'col-lg-12 col-md-12 col-sm-12';
        break;
        case 2: 
        $colCls = 'col-lg-6 col-md-6 col-sm-6';
        break;
        case 3:
        case 5:
        case 6:
        case 9:
        case 11:
        case 13:
        case 15:
        $colCls = 'col-lg-4 col-md-4 col-sm-6';
        break;
        default: 
        $colCls = 'col-lg-3 col-md-4 col-sm-6';
        break;
        }
    // }
        $text = '';
        $query = new WP_Query($args);
        if ($query->have_posts()):
            $postN = 0;

            while ($query->have_posts()) : $query->the_post();
                $luzuk_image = wp_get_attachment_image_src(get_post_thumbnail_id(), 'total-project-thumb');
               global $post;

                $image_id  = get_post_meta( $post->ID, 'second_featured_image', true );
                $image_src = wp_get_attachment_url( $image_id );
              
                //   if ($isCustomizer === true) {
                //         $projtsubttle = get_theme_mod('projtsubttle' . $i);
                //     } else {
                //         $projtsubttle = '';
                //     }
                // $post = get_post();
                // $projtsubttle = get_post_meta($post->ID, 'projtsubttle', false);
                //echo the_post_thumbnail( 'project-featured-thumbnail' );
                // $projt_area = !empty($projtsubttle[0]) ? $projtsubttle[0] : '';
                // $projectsNum = get_post_meta($post->ID, 'projectsNum', false);
                //$projects_Num = !empty($projectsNum[0]) ? $projectsNum[0] : '';
                ?>

                
        <!-- <div class="</?php echo $colCls;?> single-project-bx"> -->
        <div class="item single-project-bx">
            <div class="main-project ">
                <div class="single-project ">
                    <div class="project-icon">
                       <?php
                            if (has_post_thumbnail()) {
                                $image_url = $luzuk_image[0];
                            } else {
                                $image_url = get_template_directory_uri() . '/images/project.png';
                            }
                        ?>
                        <div class="row">
                            <div class="col-md-6">
                                <a href="<?php the_permalink(); ?>">
                                   <div class="project-img">
                                        <div class="project-tag left-tag">Before</div>
                                        <img class="img-responsive" src="<?php echo esc_url($image_url); ?>" alt="<?php the_title(); ?>" />
                                    
                                    </div> 
                                </a>
                            </div>
                            <div class="col-md-6">
                                <a href="<?php the_permalink(); ?>">
                                   <div class="project-img2 ">
                                      <div class="project-tag right-tag">After</div>
                                        <img id="img-responsive" src="<?php echo $image_src ?>" alt="<?php the_title(); ?>" />
                                       
                                    </div> 
                                </a>
                            </div>
                        </div>
                    </div>
                    <div class="clearfix"></div>
                </div>  
            </div>
        </div>

        <?php
            endwhile;
            $text = ob_get_contents();
            ob_clean();
        endif;
        wp_reset_postdata();
        return $text;
    }



// ==========================
/*********gallery************/ 
// ==========================

function galleryShortCode($pageId = null, $isCustomizer = false, $i = null) {

    ob_start();

    $args = array('post_type' => 'our-gallery');
    if (!empty($pageId)) {
        $args['page_id'] = absint($pageId);
    }
    $args['posts_per_page'] = -1;
    $colCls = '';
    // if($isCustomizer == true){
    $cols = get_theme_mod('luzuk_gallery_npp_count', 7);  
    ++$cols;
    switch ($cols) {
                    case 1:
                    $colCls = 'col-md-12 col-sm-12 col-xs-12'; 
                    break;
                    case 2:
                    $colCls = 'col-md-6 col-sm-6 col-xs-12';
                    break;
                    case 3:
                    case 5:
                    case 6:
                    case 9:
                    $colCls = 'col-md-4 col-sm-6 col-xs-12';
                    break;
                    case 4:
                    case 7:
                    case 8:
                    case 10:
                    case 11:
                    case 12:
                    $colCls = 'col-md-4 col-sm-6 col-xs-12';
                    break;
                    default:
                    $colCls = 'col-md-4 col-sm-6 col-xs-12';
                    break;
    }
    // }
    $text = '';
    $query = new WP_Query($args);
    if ($query->have_posts()):
        $postN = 0;

        while ($query->have_posts()) : $query->the_post();
            $luzuk_image = wp_get_attachment_image_src(get_post_thumbnail_id(), 'medium_large');
            $post = get_post();
            ?> 
      <!-- <div class="</?php echo $colCls; ?> pd-1">   -->
    <!-- <div class="item  "> -->
        <div class="homegalry "> 
            <div class="lz-gallery-images ">
                <figure class="spa-gall">
                    <?php
                        if (has_post_thumbnail()) {
                            $image_url = $luzuk_image[0];
                        } else {
                            $image_url = get_template_directory_uri() . '/images/about1.jpg';
                        }
                    ?>
                    <a data-fancybox="gallery" href="<?php echo esc_url($image_url); ?>" title="<?php the_title(); ?>">  
                        <img class="secondry-bg img-responsive" src="<?php echo esc_url($image_url); ?>" alt="<?php the_title(); ?>" />
                        <!-- <div class="ovlay"></div> -->
                        <div class="oly1"></div>
                        <div class="over-text">
                            <h3 class="inner-area-title "><?php the_title(); ?></h3>
                        </div>
                        
                        <div class="gall-icn">
                            <i class="fa fa-futbol-o"></i>
                        </div>
                    </a> 
                    
                    <!-- <a data-fancybox="gallery" href="<//?php echo esc_url($image_url); ?>" title="<//?php the_title(); ?>">
                        
                    </a> -->
                    <!-- <a data-fancybox="gallery" href="</?php echo esc_url($image_url); ?>" title="<//?php the_title(); ?>"> -->
                        
                    <!-- </a>  -->
                </figure>
                <div class="clearfix"></div>
            </div>
        </div> 
        
   <!--      <script type="text/javascript">
                var title = 0;
            jQuery("#innerpage-box .lz-gallery-images").each(function(){
              if ($(this).height() > title) { title = $(this).height(); }
            });
            jQuery("#innerpage-box .lz-gallery-images").height(title);


            jQuery(window).resize(function(){
              jQuery("#innerpage-box .lz-gallery-images").height("");
              var title = 0;
              jQuery("#innerpage-box .lz-gallery-images").each(function(){
                if ($(this).height() > title) { title = $(this).height(); }
              });
              jQuery("#innerpage-box .lz-gallery-images").height(title);
            });
        </script> -->
    <!-- </div> -->
                <?php
            endwhile;
            $text = ob_get_contents();
            ob_clean();
        endif;
        wp_reset_postdata();
        return $text;
    }



